Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

List shops

Returns shops belonging to the authenticated account.

GET/shops
Authorization
AuthorizationBearer token (JWT) · headerrequired
Query parameters
qstring

Search shops by name or subdomain.

seller_idinteger

Filter to shops owned by a specific seller. Useful for enumerating all shops of a seller that owns more than one — see the seller's shops:list link.

statusstring

Filter by shop status.

default: "all"
Allowed:activeinactiveall
pageinteger
min 1 · default: 1
per_pageinteger
min 1 · max 200 · default: 20
Responses
200

Paginated list of shops

total_itemsinteger
per_pageinteger
pageinteger
_linksHalLinks
_classstring[]
_embeddedobject
Show properties
shopsShop[]
Show properties
Array of Shop
_linksHalLinks
idinteger
seller_idinteger
account_idinteger
namestring
subdomainstring
urlstring
descriptionstring
localestring
currency_codestring
timezonestring
asset_countinteger
product_countsobject
Show properties
visibleinteger
blockedinteger
hiddeninteger
products_use_variant_pricesboolean
created_onstring<date-time>
updated_onstring<date-time>
Try it
Server
Authorization
Parameters
Request
curl -s -H "Authorization: Bearer $BOLDER_TOKEN" \
  "https://api.onbolder.com/v2/shops"
Response
{
  "_class": [
    "results",
    "shops"
  ],
  "total_items": 1,
  "per_page": 20,
  "page": 1,
  "_links": {
    "self": {
      "href": "https://api.onbolder.com/v2/shops"
    }
  },
  "_embedded": {
    "items": [
      {
        "id": 1,
        "name": "My Store",
        "subdomain": "mystore",
        "url": "https://mystore.onbolder.com",
        "status": "active",
        "currency": "USD",
        "_links": {
          "self": {
            "href": "https://api.onbolder.com/v2/shops/1"
          }
        }
      }
    ]
  }
}

Was this page helpful?